X
點擊此處開啟此網站的行動版。

技術支援討論區

Firefox ESR Version 52.0 have problem with JavaScript/jquery function

已張貼

Recently The Mozilla Firefox ESR browser was upgraded to Version 52.0 and I faced "few critical issues after updating".

"Few existing functionality is not working which was working perfectly before the update."

Error : JavaScript/jquery Error was thrown in Mozilla Firefox ESR browser Version 52.0 browser console alike “contains is not a function”.


But that "contain function" is working in previous Firefox ESR version.

So when I uninstalled the Mozilla Firefox ESR browser Version 52.0 and installed the Firefox ESR browser version 45.6.0. Here all my functionalities are working perfectly in Mozilla Firefox ESR browser Version 45.6.0.

Note: I am using jquery-1.7.2


I am not sure "Higher Version" than 52.0 of Mozilla Firefox ESR has also owned this same problem.

and also I am not sure, whether the "contains" is the only function which is not working but not aware of other functions.


Please let me know, 1. why am I facing this problem in the Mozilla Firefox ESR version 52.0? 2. what should I do to avoid this issue? 3. if possible, from which version to which version having this problem?


Kindly acknowledge to this.

Recently The Mozilla Firefox ESR browser was upgraded to Version 52.0 and I faced "few critical issues after updating". "Few existing functionality is not working which was working perfectly before the update." Error : JavaScript/jquery Error was thrown in Mozilla Firefox ESR browser Version 52.0 browser console alike “contains is not a function”. But that "contain function" is working in previous Firefox ESR version. So when I uninstalled the Mozilla Firefox ESR browser Version 52.0 and installed the Firefox ESR browser version 45.6.0. Here all my functionalities are working perfectly in Mozilla Firefox ESR browser Version 45.6.0. Note: I am using jquery-1.7.2 I am not sure "Higher Version" than 52.0 of Mozilla Firefox ESR has also owned this same problem. and also I am not sure, whether the "contains" is the only function which is not working but not aware of other functions. Please let me know, 1. why am I facing this problem in the Mozilla Firefox ESR version 52.0? 2. what should I do to avoid this issue? 3. if possible, from which version to which version having this problem? Kindly acknowledge to this.
附加的畫面擷圖

由 Krishna 於 修改

額外的系統細節

已安裝的外掛程式

  • Adobe PDF Plug-In For Firefox and Netscape 11.0.10
  • Google Update
  • Intel web components updater - Installs and updates the Intel web components
  • Intel web components for Intel® Identity Protection Technology
  • 5.1.41105.0
  • Skype Web Plugin 7.31.0.56
  • VLC media player Web Plugin 2.1.0
  • Zoom launcher - 3.0.1

應用程式

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0

更多資訊

TyDraniu
  • Top 25 Contributor
315 個解決方法 1770 個答案

Could you provide the full testcase of this issue?

Could you provide the full testcase of this issue?
FredMcD
  • Top 10 Contributor
4245 個解決方法 59390 個答案

Please provide public (no password) link(s) that we can check out. No Personal Information Please !

Please provide public (no password) link(s) that we can check out. '''No Personal Information Please ! '''

提出問題者

Well Basically, we are validating the data using "contains" function using javascript/jquery.

it just couldn't find that function at all.

But it is happening only in the Mozilla Firefox ESR browser Version 52.0 and recently we are facing that issue in the 53.0 version also...

Not in the older version such as Mozilla Firefox ESR browser 45.9.0 or below

Kindly find the attached images, It would help more to understand the problem..

Well Basically, we are validating the data using "contains" function using javascript/jquery. it just couldn't find that function at all. But it is happening only in the Mozilla Firefox ESR browser Version 52.0 and recently we are facing that issue in the 53.0 version also... Not in the older version such as Mozilla Firefox ESR browser 45.9.0 or below Kindly find the attached images, It would help more to understand the problem..
TyDraniu
  • Top 25 Contributor
315 個解決方法 1770 個答案

選擇的解決方法

Try "xxxx".includes("x") https://www.fxsitecompat.com/en-CA/docs/2016/string-prototype-contains-has-been-removed-in-favour-of-includes/

提出問題者

Thanks for your response..

I am not sure, whether the "contains" is the only function which is removed from firefox and I'm not aware of other functions.

May I know, is there any other function also got removed like "contains function" in the New Mozilla Firefox ESR browser Versions above 45.6.0

Thanks for your response.. I am not sure, whether the "contains" is the only function which is removed from firefox and I'm not aware of other functions. May I know, is there any other function also got removed like "contains function" in the New Mozilla Firefox ESR browser Versions above 45.6.0
TyDraniu
  • Top 25 Contributor
315 個解決方法 1770 個答案
Everything's there => https://www.fxsitecompat.com/en-CA/versions/

有幫助的回覆

Thank you very much

Thank you very much

提出問題者

Will the javascrtpt/jquery supports libraries also get affected or won't work, due to "contains" function got removed from the Firefox.

Will the javascrtpt/jquery supports libraries also get affected or won't work, due to "contains" function got removed from the Firefox.
cor-el
  • Top 10 Contributor
  • Moderator
17465 個解決方法 157833 個答案

See:

Please do not comment in bug reports
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

See: *[https://bugzilla.mozilla.org/show_bug.cgi?id=1103158 bug 1103158] - Remove all non-standard features <i>Please do not comment in bug reports<br>https://bugzilla.mozilla.org/page.cgi?id=etiquette.html</i>

提出問題者

I am not under the above answer,

My question is, due to the New Mozilla Firefox ESR browser Version which has removed the contains function..

will that affect the javascrtpt/jquery libraries files ??? file such as

            jquery-1.6.2.min.js
            jquery-ui-1.8.11.custom.min.js, etc..

The above javascrtpt/jquery libraries also has contains function

will that affect the javascrtpt/jquery libraries files ???

I am not under the above answer, My question is, due to the New Mozilla Firefox ESR browser Version which has removed the contains function.. will that affect the javascrtpt/jquery libraries files ??? file such as jquery-1.6.2.min.js jquery-ui-1.8.11.custom.min.js, etc.. The above javascrtpt/jquery libraries also has contains function will that affect the javascrtpt/jquery libraries files ???